use serde::Deserialize;
use serde::Serialize;

use super::ast_node::WasmAstNode;
use super::macros::to_wasm;
use super::to_wasm::ToWasm;
use super::AdditionalProperties;
use crate::compare::ElispFact;
use crate::types::Target;
use crate::wasm::to_wasm::ToWasmStandardProperties;

#[derive(Debug, Serialize, Deserialize)]
pub struct WasmTarget {
    #[serde(flatten)]
    pub(crate) additional_properties: AdditionalProperties,
}

to_wasm!(
    WasmTarget,
    Target<'s>,
    original,
    wasm_context,
    { WasmAstNode::Target(original) },
    { "TODO".into() },
    {
        Ok((
            Vec::new(),
            WasmTarget {
                additional_properties: AdditionalProperties::default(),
            },
        ))
    }
);
